package com.ynet.life.cache.memcached;

import com.danga.MemCached.MemCachedClient;
import com.ynet.life.cache.Cache;
import com.ynet.life.memcached.LifeMemcachedSessionService;
import java.util.HashMap;
import java.util.Map;

/* loaded from: com_ynet_life_cache_memcached.jar:com/ynet/life/cache/memcached/MemcacheManager.class */
public class MemcacheManager implements Cache {
    private String cacheName;
    private static final String DEFAULT_MEMCACHED_SPACE = "default_memcached_cache";
    private static MemCachedClient mc = LifeMemcachedSessionService.getInstance().getMemCachedClient();
    Map map;

    public MemcacheManager() {
        this(null);
    }

    public MemcacheManager(String name) {
        this.cacheName = null;
        this.map = new HashMap();
        this.cacheName = name == null ? DEFAULT_MEMCACHED_SPACE : name;
        mc.set(this.cacheName, this.map);
    }

    public void put(Object key, Object obj) {
        this.map = (Map) mc.get(this.cacheName);
        this.map.put(key, obj);
        mc.replace(this.cacheName, this.map);
    }

    public void remove(Object key) {
        this.map = (Map) mc.get(this.cacheName);
        this.map.remove(key);
        mc.replace(this.cacheName, this.map);
    }

    public Object get(Object key) {
        this.map = (Map) mc.get(this.cacheName);
        return this.map.get(key);
    }

    public String getCacheName() {
        return this.cacheName;
    }

    public boolean isConnServer() {
        String key = String.valueOf(System.currentTimeMillis()) + "_memcached_conn_test";
        boolean success = mc.set(key, key);
        if (success) {
            mc.delete(key);
        }
        return success;
    }

    public void clear() {
    }

    public void configure(int size) {
    }
}
